rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmQVKArguments_s Struct Reference
Command Line API.

Describe query/verify/signature command line operation. More...

`#include <rpmcli.h>`

Collaboration diagram for rpmQVKArguments_s:
[legend]

## Data Fields
rpmQVSources | qva_source
int | qva_sourceCount
rpmQueryFlags | qva_flags
rpmfileAttrs | qva_fflags
QVF_t | qva_showPackage
QSpecF_t | qva_specQuery
char * | qva_queryFormat
char | qva_mode

## Detailed Description

Describe query/verify/signature command line operation.

## Field Documentation

rpmfileAttrs rpmQVKArguments_s::qva_fflags

Bit(s) to filter on attribute.

Definition at line 171 of file rpmcli.h.

rpmQueryFlags rpmQVKArguments_s::qva_flags

Bit(s) to control operation.

Definition at line 170 of file rpmcli.h.

Referenced by main().

char rpmQVKArguments_s::qva_mode

- 'q' from --query, -q
- 'Q' from --querytags
- 'V' from --verify, -V
- 'I' from --import
- 'K' from --checksig, -K

Definition at line 177 of file rpmcli.h.

Referenced by main().

char* rpmQVKArguments_s::qva_queryFormat

Format for headerFormat().

Definition at line 175 of file rpmcli.h.

Referenced by main().

QVF_t rpmQVKArguments_s::qva_showPackage

Function to display iterator matches.

Definition at line 173 of file rpmcli.h.

rpmQVSources rpmQVKArguments_s::qva_source

Identify CLI arg type.

Definition at line 168 of file rpmcli.h.

Referenced by main().

int rpmQVKArguments_s::qva_sourceCount

Exclusive option check (>1 is error).

Definition at line 169 of file rpmcli.h.

Referenced by main().

QSpecF_t rpmQVKArguments_s::qva_specQuery

Function to query spec file.

Definition at line 174 of file rpmcli.h.

Referenced by main().

The documentation for this struct was generated from the following file:

- rpmcli.h